Subject: Kernel crash after using new Intel NIC (igb)

From: Maximilian Engelhardt <[email-masked]>
Date: Mon, 25 Apr 2011 00:32:59 +0200

Hello,

some time ago we switched some of our servers to a new networking card that 
uses the Intel igb driver. Since that time we see regular kernel crashes.
The crashes happen at very irregular intervals, sometimes after a week uptime, 
sometimes after a month or even more. They seem to be independent of the 
server load as they also happen in the night when there is low traffic.

The affected server is used as a NAT device with some iptables rules and serves 
about 2000 people.

Attached are two logs of the crashes as well as the output of dmesg, lspci, 
and /proc/interrupts as well as the used kernel config.

I have no idea what might be wrong but I think it is a kernel bug. Perhaps 
someone with more knowledge has a clue.

If needed I can provide additional information or build different kernels.

Greetings,
Maxi